package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewJpushRecordDb(engine *xorm.Engine) dao.JpushRecordDao {
	return &JpushRecordDb{Db: engine}
}

type JpushRecordDb struct {
	Db *xorm.Engine
}

func (j JpushRecordDb) GetJpushRecord(id string) (m *model.JpushRecord, err error) {
	m = new(model.JpushRecord)
	has, err := j.Db.Where("id=?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (j JpushRecordDb) FindJpushRecord(page, limit, title string) (*[]model.JpushRecord, error) {
	var m []model.JpushRecord
	sess := j.Db.Where("1=1")
	start := (zhios_order_relate_utils.StrToInt(page) - 1) * zhios_order_relate_utils.StrToInt(limit)
	if title != "" {
		sess.And("title like ?", "%"+title+"%")
	}
	if err := sess.Limit(zhios_order_relate_utils.StrToInt(limit), start).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
func (j JpushRecordDb) FindJpushRecordAndTotal(page, limit, title string) (*[]model.JpushRecord, int64, error) {
	var m []model.JpushRecord
	sess := j.Db.Where("1=1")
	start := (zhios_order_relate_utils.StrToInt(page) - 1) * zhios_order_relate_utils.StrToInt(limit)
	if title != "" {
		sess.And("title like ?", "%"+title+"%")
	}
	count, err := sess.Limit(zhios_order_relate_utils.StrToInt(limit), start).Desc("id").FindAndCount(&m)
	if err != nil {
		return nil, count, zhios_order_relate_logx.Error(err)
	}
	return &m, count, nil
}
