package model

type EggSignIn struct {
	Id                                    int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid                                   int64  `json:"uid" xorm:"not null default 0 comment('用户id') BIGINT(20)"`
	StartTime                             string `json:"start_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('签到开始时间') DATETIME"`
	EndTime                               string `json:"end_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('签到结束时间') DATETIME"`
	TotalPersonEggPoints                  string `json:"total_person_egg_points" xorm:"not null comment('个人蛋蛋积分值') DECIMAL(28,8)"`
	TotalTeamEggPoints                    string `json:"total_team_egg_points" xorm:"not null comment('团队蛋蛋积分值') DECIMAL(28,8)"`
	EstimatePerSecondPersonEggEnergyValue string `json:"estimate_per_second_person_egg_energy_value" xorm:"not null comment('预估每秒奖励蛋蛋能量值-个人') DECIMAL(28,8)"`
	EstimatePerSecondTeamEggEnergyValue   string `json:"estimate_per_second_team_egg_energy_value" xorm:"not null comment('预估每秒奖励蛋蛋能量值-团队') DECIMAL(28,8)"`
	IsCompleted                           int    `json:"is_completed" xorm:"not null default 0 comment('是否完成(0:未完成 1:已完成)') TINYINT(1)"`
}
