package model

type ImGroupBatchSendMessageRecords struct {
	Id            int    `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	SendKind      int    `json:"send_kind" xorm:"not null default 1 comment('发送模式(1:指定群组 2:所有群组)') TINYINT(1)"`
	GroupId       string `json:"group_id" xorm:"not null comment('群组id(以;切割)') TEXT"`
	Kind          int    `json:"kind" xorm:"not null default 1 comment('消息类型(0未知 1文本 2表情 3语音消息 4图片 5文件 6地理位置 7指令推送 8自定义 9撤回消息 10红包消息)') TINYINT(1)"`
	Content       string `json:"content" xorm:"comment('消息内容') TEXT"`
	SendTime      string `json:"send_time" xorm:"not null default 'CURRENT_TIMESTAMP(3)' comment('消息发送时间') DATETIME(3)"`
	State         int    `json:"state" xorm:"not null default 0 comment('消息状态，1:正常 2:失败') TINYINT(3)"`
	SendCondition string `json:"send_condition" xorm:"not null comment('发送条件') TEXT"`
	NotCondition  string `json:"not_condition" xorm:"not null comment('不发送条件') TEXT"`
	CreateTime    string `json:"create_time" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateTime    string `json:"update_time" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
