package model

type UserLevelTask struct {
	Id              int    `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	LevelId         int    `json:"level_id" xorm:"not null default 0 comment('等级id') INT(11)"`
	IsMustTask      int    `json:"is_must_task" xorm:"not null default 0 comment('是否必做(0,1)') TINYINT(1)"`
	TaskType        int    `json:"task_type" xorm:"not null default 0 comment('1:直推会员人数,2:直推会员活跃天数,3:直推会员等级') TINYINT(2)"`
	WithinDays      int    `json:"within_days" xorm:"not null default 0 comment('多少天内完成') INT(11)"`
	FinishCount     int    `json:"finish_count" xorm:"not null default 0 comment('多少天内完成的指标数') INT(11)"`
	TaskTypeLevelId int    `json:"task_type_level_id" xorm:"not null default 0 comment('会员等级id(task_type=3时生效)') INT(11)"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateAt        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
